Package org.silverpeas.components.kmelia.notification

## Class KmaxInstanceManualUserNotification

- java.lang.Object
- - org.silverpeas.core.notification.user.AbstractComponentInstanceManualUserNotification
  - - org.silverpeas.components.kmelia.notification.KmeliaInstanceManualUserNotification
    - - org.silverpeas.components.kmelia.notification.KmaxInstanceManualUserNotification

- All Implemented Interfaces:
    `org.silverpeas.core.notification.user.ComponentInstanceManualUserNotification`

      @Bean
      @Named
      public class KmaxInstanceManualUserNotification
      extends KmeliaInstanceManualUserNotification

  Author:
    silveryocha

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.silverpeas.core.notification.user.ComponentInstanceManualUserNotification

      `org.silverpeas.core.notification.user.ComponentInstanceManualUserNotification.Constants`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KmaxInstanceManualUserNotification()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.silverpeas.core.node.model.NodePK` | `getNodePK​(String cmpId, String nodeId)` |

    - ### Methods inherited from class org.silverpeas.components.kmelia.notification.KmeliaInstanceManualUserNotification

      `createUserNotification`

    - ### Methods inherited from class org.silverpeas.core.notification.user.AbstractComponentInstanceManualUserNotification

      `check, initializesWith`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KmaxInstanceManualUserNotification

          public KmaxInstanceManualUserNotification()

  - ### Method Detail

    - #### getNodePK

          protected org.silverpeas.core.node.model.NodePK getNodePK​(String cmpId,
                                                                    String nodeId)

      Overrides:
        `getNodePK` in class `KmeliaInstanceManualUserNotification`